## flactag flactag |

## Types and Values

struct | GstFlacTag

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstFlacTag

## Implemented Interfaces

GstFlacTag implements GstTagSetter.

## Description

The flactag element can change the tag contained within a raw FLAC stream. Specifically, it modifies the comments header packet of the FLAC stream.

Applications can set the tags to write using the GstTagSetter interface. Tags contained withing the FLAC bitstream will be picked up automatically (and merged according to the merge mode set via the tag setter interface).

### Example pipelines

    1
    gst-launch-1.0 -v filesrc location=foo.flac ! flactag ! filesink location=bar.flac

This element is not useful with gst-launch, because it does not support setting the tags on a GstTagSetter interface. Conceptually, the element will usually be used in this order though.

## Synopsis

### Element Information

plugin | flac
author | Christophe Fergeau <teuf@gnome.org>
class | Formatter/Metadata

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-flac

name | src
direction | source
presence | always
details | audio/x-flac

## Functions

## Types and Values

### struct GstFlacTag

    struct GstFlacTag;

## See Also

flacenc, flacdec, GstTagSetter